Skip to content

# Interface: KubeObjectStatusRegistration

## Hierarchy

- KubeObjectStatusRegistration

## Index

### Properties

- apiVersions
- kind
- resolve

## Properties

### apiVersions

• apiVersions: string[]

Defined in src/extensions/registries/kube-object-status-registry.ts:6

### kind

• kind: string

Defined in src/extensions/registries/kube-object-status-registry.ts:5

### resolve

• resolve: function

Defined in src/extensions/registries/kube-object-status-registry.ts:7

#### Type declaration:

▸ (`object`: KubeObject): KubeObjectStatus

Parameters:

Name | Type
--- | ---
`object` | KubeObject